### YamlMime:ManagedReference
items:
- uid: adas_core.Infrastructure.Utils.MongoMaps.Interfaz.IEntityMapContributor
  commentId: T:adas_core.Infrastructure.Utils.MongoMaps.Interfaz.IEntityMapContributor
  id: IEntityMapContributor
  parent: adas_core.Infrastructure.Utils.MongoMaps.Interfaz
  children:
  - adas_core.Infrastructure.Utils.MongoMaps.Interfaz.IEntityMapContributor.RegisterMaps
  langs:
  - csharp
  - vb
  name: IEntityMapContributor
  nameWithType: IEntityMapContributor
  fullName: adas_core.Infrastructure.Utils.MongoMaps.Interfaz.IEntityMapContributor
  type: Interface
  source:
    remote:
      path: adas-core.Infrastructure/Utils/MongoMaps/Interfaz/IEntityMapContributor.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: IEntityMapContributor
    path: ../../adas-core.Infrastructure/Utils/MongoMaps/Interfaz/IEntityMapContributor.cs
    startLine: 5
  assemblies:
  - adas-core.Infrastructure
  namespace: adas_core.Infrastructure.Utils.MongoMaps.Interfaz
  summary: Interfaz para clases que contribuyen al registro de mapas de BSON.
  example: []
  syntax:
    content: public interface IEntityMapContributor
    content.vb: Public Interface IEntityMapContributor
  derivedClasses:
  - adas_core.Infrastructure.Utils.MongoMaps.AlarmMapContributor
  - adas_core.Infrastructure.Utils.MongoMaps.AppointmentMapContributor
  - adas_core.Infrastructure.Utils.MongoMaps.AuthMapContributor
  - adas_core.Infrastructure.Utils.MongoMaps.BannerConfigMapContributor
  - adas_core.Infrastructure.Utils.MongoMaps.BeaconMapContributor
  - adas_core.Infrastructure.Utils.MongoMaps.BoxConfigMapContributor
  - adas_core.Infrastructure.Utils.MongoMaps.CameraContributor
  - adas_core.Infrastructure.Utils.MongoMaps.CardMapContributor
  - adas_core.Infrastructure.Utils.MongoMaps.CellMapContributor
  - adas_core.Infrastructure.Utils.MongoMaps.ColorConfigMapContributor
  - adas_core.Infrastructure.Utils.MongoMaps.ComunicationFlowMapContributor
  - adas_core.Infrastructure.Utils.MongoMaps.DeviceMapContributor
  - adas_core.Infrastructure.Utils.MongoMaps.DisplayHomeConfigContributor
  - adas_core.Infrastructure.Utils.MongoMaps.DisplayMapContributor
  - adas_core.Infrastructure.Utils.MongoMaps.FormMapContributor
  - adas_core.Infrastructure.Utils.MongoMaps.GraphMapContributor
  - adas_core.Infrastructure.Utils.MongoMaps.HeaderMapContributor
  - adas_core.Infrastructure.Utils.MongoMaps.MasterListMapContributor
  - adas_core.Infrastructure.Utils.MongoMaps.NoticeControlMapContributor
  - adas_core.Infrastructure.Utils.MongoMaps.ObsUnitMapContributor
  - adas_core.Infrastructure.Utils.MongoMaps.ObservationMapContributor
  - adas_core.Infrastructure.Utils.MongoMaps.PatientMapContributor
  - adas_core.Infrastructure.Utils.MongoMaps.PoCMapContributor
  - adas_core.Infrastructure.Utils.MongoMaps.PumpMapContributor
  - adas_core.Infrastructure.Utils.MongoMaps.RelayContributor
  - adas_core.Infrastructure.Utils.MongoMaps.RowMapContributor
  - adas_core.Infrastructure.Utils.MongoMaps.SectionMapContributor
  - adas_core.Infrastructure.Utils.MongoMaps.ServiceConfigMapContributor
  - adas_core.Infrastructure.Utils.MongoMaps.StandardMapContributor
  - adas_core.Infrastructure.Utils.MongoMaps.TreatmentMapContributor
  - adas_core.Infrastructure.Utils.MongoMaps.UnitMapContributor
  extensionMethods:
  - System.Object.adas_core.Domain.Utils.NumberUtils.IsNumber
  - System.Object.adas_core.Domain.Utils.NumberUtils.ToDouble
  - System.Object.adas_core.Domain.Utils.ObjectUtils.ToStr
- uid: adas_core.Infrastructure.Utils.MongoMaps.Interfaz.IEntityMapContributor.RegisterMaps
  commentId: M:adas_core.Infrastructure.Utils.MongoMaps.Interfaz.IEntityMapContributor.RegisterMaps
  id: RegisterMaps
  parent: adas_core.Infrastructure.Utils.MongoMaps.Interfaz.IEntityMapContributor
  langs:
  - csharp
  - vb
  name: RegisterMaps()
  nameWithType: IEntityMapContributor.RegisterMaps()
  fullName: adas_core.Infrastructure.Utils.MongoMaps.Interfaz.IEntityMapContributor.RegisterMaps()
  type: Method
  source:
    remote:
      path: adas-core.Infrastructure/Utils/MongoMaps/Interfaz/IEntityMapContributor.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: RegisterMaps
    path: ../../adas-core.Infrastructure/Utils/MongoMaps/Interfaz/IEntityMapContributor.cs
    startLine: 10
  assemblies:
  - adas-core.Infrastructure
  namespace: adas_core.Infrastructure.Utils.MongoMaps.Interfaz
  summary: Registers the object-to-object mappings used by the application.
  example: []
  syntax:
    content: void RegisterMaps()
    content.vb: Sub RegisterMaps()
  overload: adas_core.Infrastructure.Utils.MongoMaps.Interfaz.IEntityMapContributor.RegisterMaps*
references:
- uid: adas_core.Infrastructure.Utils.MongoMaps.Interfaz
  commentId: N:adas_core.Infrastructure.Utils.MongoMaps.Interfaz
  href: adas_core.html
  name: adas_core.Infrastructure.Utils.MongoMaps.Interfaz
  nameWithType: adas_core.Infrastructure.Utils.MongoMaps.Interfaz
  fullName: adas_core.Infrastructure.Utils.MongoMaps.Interfaz
  spec.csharp:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Infrastructure
    name: Infrastructure
    href: adas_core.Infrastructure.html
  - name: .
  - uid: adas_core.Infrastructure.Utils
    name: Utils
    href: adas_core.Infrastructure.Utils.html
  - name: .
  - uid: adas_core.Infrastructure.Utils.MongoMaps
    name: MongoMaps
    href: adas_core.Infrastructure.Utils.MongoMaps.html
  - name: .
  - uid: adas_core.Infrastructure.Utils.MongoMaps.Interfaz
    name: Interfaz
    href: adas_core.Infrastructure.Utils.MongoMaps.Interfaz.html
  spec.vb:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Infrastructure
    name: Infrastructure
    href: adas_core.Infrastructure.html
  - name: .
  - uid: adas_core.Infrastructure.Utils
    name: Utils
    href: adas_core.Infrastructure.Utils.html
  - name: .
  - uid: adas_core.Infrastructure.Utils.MongoMaps
    name: MongoMaps
    href: adas_core.Infrastructure.Utils.MongoMaps.html
  - name: .
  - uid: adas_core.Infrastructure.Utils.MongoMaps.Interfaz
    name: Interfaz
    href: adas_core.Infrastructure.Utils.MongoMaps.Interfaz.html
- uid: System.Object.adas_core.Domain.Utils.NumberUtils.IsNumber
  commentId: M:adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
  parent: adas_core.Domain.Utils.NumberUtils
  definition: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
  href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  name: IsNumber(object)
  nameWithType: NumberUtils.IsNumber(object)
  fullName: adas_core.Domain.Utils.NumberUtils.IsNumber(object)
  nameWithType.vb: NumberUtils.IsNumber(Object)
  fullName.vb: adas_core.Domain.Utils.NumberUtils.IsNumber(Object)
  name.vb: IsNumber(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
    name: IsNumber
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
    name: IsNumber
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.adas_core.Domain.Utils.NumberUtils.ToDouble
  commentId: M:adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
  parent: adas_core.Domain.Utils.NumberUtils
  definition: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
  href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  name: ToDouble(object)
  nameWithType: NumberUtils.ToDouble(object)
  fullName: adas_core.Domain.Utils.NumberUtils.ToDouble(object)
  nameWithType.vb: NumberUtils.ToDouble(Object)
  fullName.vb: adas_core.Domain.Utils.NumberUtils.ToDouble(Object)
  name.vb: ToDouble(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
    name: ToDouble
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
    name: ToDouble
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.adas_core.Domain.Utils.ObjectUtils.ToStr
  commentId: M:adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
  parent: adas_core.Domain.Utils.ObjectUtils
  definition: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
  href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  name: ToStr(object)
  nameWithType: ObjectUtils.ToStr(object)
  fullName: adas_core.Domain.Utils.ObjectUtils.ToStr(object)
  nameWithType.vb: ObjectUtils.ToStr(Object)
  fullName.vb: adas_core.Domain.Utils.ObjectUtils.ToStr(Object)
  name.vb: ToStr(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
    name: ToStr
    href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
    name: ToStr
    href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
  commentId: M:adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
  isExternal: true
  href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  name: IsNumber(object)
  nameWithType: NumberUtils.IsNumber(object)
  fullName: adas_core.Domain.Utils.NumberUtils.IsNumber(object)
  nameWithType.vb: NumberUtils.IsNumber(Object)
  fullName.vb: adas_core.Domain.Utils.NumberUtils.IsNumber(Object)
  name.vb: IsNumber(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
    name: IsNumber
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
    name: IsNumber
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: adas_core.Domain.Utils.NumberUtils
  commentId: T:adas_core.Domain.Utils.NumberUtils
  parent: adas_core.Domain.Utils
  href: adas_core.Domain.Utils.NumberUtils.html
  name: NumberUtils
  nameWithType: NumberUtils
  fullName: adas_core.Domain.Utils.NumberUtils
- uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
  commentId: M:adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
  isExternal: true
  href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  name: ToDouble(object)
  nameWithType: NumberUtils.ToDouble(object)
  fullName: adas_core.Domain.Utils.NumberUtils.ToDouble(object)
  nameWithType.vb: NumberUtils.ToDouble(Object)
  fullName.vb: adas_core.Domain.Utils.NumberUtils.ToDouble(Object)
  name.vb: ToDouble(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
    name: ToDouble
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
    name: ToDouble
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
  commentId: M:adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
  isExternal: true
  href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  name: ToStr(object)
  nameWithType: ObjectUtils.ToStr(object)
  fullName: adas_core.Domain.Utils.ObjectUtils.ToStr(object)
  nameWithType.vb: ObjectUtils.ToStr(Object)
  fullName.vb: adas_core.Domain.Utils.ObjectUtils.ToStr(Object)
  name.vb: ToStr(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
    name: ToStr
    href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
    name: ToStr
    href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: adas_core.Domain.Utils.ObjectUtils
  commentId: T:adas_core.Domain.Utils.ObjectUtils
  parent: adas_core.Domain.Utils
  href: adas_core.Domain.Utils.ObjectUtils.html
  name: ObjectUtils
  nameWithType: ObjectUtils
  fullName: adas_core.Domain.Utils.ObjectUtils
- uid: adas_core.Domain.Utils
  commentId: N:adas_core.Domain.Utils
  href: adas_core.html
  name: adas_core.Domain.Utils
  nameWithType: adas_core.Domain.Utils
  fullName: adas_core.Domain.Utils
  spec.csharp:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Utils
    name: Utils
    href: adas_core.Domain.Utils.html
  spec.vb:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Utils
    name: Utils
    href: adas_core.Domain.Utils.html
- uid: adas_core.Infrastructure.Utils.MongoMaps.Interfaz.IEntityMapContributor.RegisterMaps*
  commentId: Overload:adas_core.Infrastructure.Utils.MongoMaps.Interfaz.IEntityMapContributor.RegisterMaps
  href: adas_core.Infrastructure.Utils.MongoMaps.Interfaz.IEntityMapContributor.html#adas_core_Infrastructure_Utils_MongoMaps_Interfaz_IEntityMapContributor_RegisterMaps
  name: RegisterMaps
  nameWithType: IEntityMapContributor.RegisterMaps
  fullName: adas_core.Infrastructure.Utils.MongoMaps.Interfaz.IEntityMapContributor.RegisterMaps
